#include "E--_RT.c"
int main(int argc, char *argv[]) {
	E_RT_init(argc, argv);
JMP(begin);
Label0: R005=ADD(R000,2);
STI(R001, R000);
R000=SUB(R000,1);
MOVI(R000, R001);
MOVI(1, R018);
Label1: MOVI(R001, R000);
R000=ADD(R000,1);
LDI(R000, R001);
R000=ADD(R000,1);
LDI(R000, R004);
R000=ADD(R000,0);
JMPI(R004);
eventLabel_open: INI(R018);
INI(R019);
INI(R020);
STI(R018, R000);
R000=SUB(R000,1);
STI(R019, R000);
R000=SUB(R000,1);
STI(R020, R000);
R000=SUB(R000,1);
R000=SUB(R000,1);
MOVL(Label2, R004);
STI(R004, R000);
R000=SUB(R000,1);
Label2: MOVI(R002, R022);
R000=ADD(R000,1);
LDI(R000, R020);
R000=ADD(R000,1);
LDI(R000, R019);
R000=ADD(R000,1);
LDI(R000, R018);
JMP(EventMStart);
eventLabel_open: INI(R020);
INI(R023);
INI(R024);
STI(R020, R000);
R000=SUB(R000,1);
STI(R023, R000);
R000=SUB(R000,1);
STI(R024, R000);
R000=SUB(R000,1);
MOVL(Label3, R004);
STI(R004, R000);
R000=SUB(R000,1);
JMP(Label0);
Label3: R000=ADD(R000,1);
LDI(R000, R024);
R000=ADD(R000,1);
LDI(R000, R023);
R000=ADD(R000,1);
LDI(R000, R020);
JMP(EventMStart);
begin: MOVI(10000, R000);
MOVI(0, R008);
MOVI(0, R009);
MOVI(0, R010);
MOVI(0, R011);
MOVI(1, R012);
MOVI(0, R013);
MOVS("sdsd", R017);
EventMStart: IN(R024);
JMPC(GT(64, R024), EventMOut);
JMPC(EQ(111, R024), eventLabel_open);
JMPC(EQ(111, R024), eventLabel_open);
JMP(EventMStart);
EventMOut: PRTS("\nDone\n");

	E_RT_exit(); return 0;
}
